> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get profile tray

> Retrieve the profile tray information for the authenticated user



## OpenAPI

````yaml get /v1/profile/tray
openapi: 3.0.0
info:
  title: Profile API
  version: 1.0.0
  description: API for managing user profiles and profile trays
servers: []
security:
  - bearerAuth: []
tags:
  - name: Profile
    description: Profile management operations
paths:
  /v1/profile/tray:
    get:
      tags:
        - Profile
      summary: Get profile tray
      description: Retrieve the profile tray information for the authenticated user
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
            default: en
          description: Preferred language for response
      responses:
        '200':
          description: Profile tray retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileResponse'
              example:
                id: 550e8400-e29b-41d4-a716-446655440000
                name: Personal Profile
                type: individual
                status: active
                route: /app/profile/personal
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: common.unauthorized
                message: Authentication required
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: profile.internal_error
                message: Failed to retrieve profile tray
components:
  schemas:
    ProfileResponse:
      allOf:
        - $ref: '#/components/schemas/ProfileTray'
        - type: object
          properties:
            route:
              type: string
              description: Frontend route for the profile
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code
          example: profile.invalid_file_type
        message:
          type: string
          description: Error message
        details:
          type: object
          additionalProperties: true
          description: Additional error details
    ProfileTray:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
        name:
          type: string
          description: Display name
        type:
          type: string
          enum:
            - individual
            - business
            - institutional
            - trust
          description: Profile type
        status:
          type: string
          enum:
            - active
            - pending
            - suspended
            - archived
          description: Current status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````